
-- Convert for Trailer


Convert = {};

function Convert.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations) and SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function Convert:load(xmlFile)
	self.currentFillType = fillType;
	self.convertModeGrass = false
	self.convertModeChaff = false
end;
function Convert:delete()
end;

function Convert:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Convert:keyEvent(unicode, sym, modifier, isDown)
end;

function Convert:draw()
	if self.currentFillType == Fillable.FILLTYPE_WHEAT then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTGRASS1"), self.typeDesc), InputBinding.CONVERTGRASS1);
	end;
	if self.currentFillType == Fillable.FILLTYPE_WHEAT then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTCHAFF1"), self.typeDesc), InputBinding.CONVERTCHAFF1);
	end;
	if self.currentFillType == Fillable.FILLTYPE_SILO then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTGRASS1"), self.typeDesc), InputBinding.CONVERTGRASS1);
	end;
	if self.currentFillType == Fillable.FILLTYPE_SILO then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTCHAFF1"), self.typeDesc), InputBinding.CONVERTCHAFF1);
	end;
	if self.currentFillType == Fillable.FILLTYPE_BARLEY then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTGRASS1"), self.typeDesc), InputBinding.CONVERTGRASS1);
	end;
	if self.currentFillType == Fillable.FILLTYPE_BARLEY then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTCHAFF1"), self.typeDesc), InputBinding.CONVERTCHAFF1);
	end;
	if self.convertModeGrass then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTOFF1"), self.typeDesc), InputBinding.CONVERTOFF1);
		g_currentMission:addExtraPrintText(string.format(g_i18n:getText("CONVERTMODEGRASS"), self.typeDesc));
	end;
	if self.convertModeChaff then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("CONVERTOFF1"), self.typeDesc), InputBinding.CONVERTOFF1);
		g_currentMission:addExtraPrintText(string.format(g_i18n:getText("CONVERTMODECHAFF"), self.typeDesc));
	end;
end;

function Convert:update(dt)	
    if self:getIsActive() then		
		
		if self.currentFillType == Fillable.FILLTYPE_WHEAT and InputBinding.hasEvent(InputBinding.CONVERTGRASS1) then
                    self.currentFillType = Fillable.FILLTYPE_GRASS
					self.convertModeChaff = false
					self.convertModeGrass = true
		end;
		if self.currentFillType == Fillable.FILLTYPE_WHEAT and InputBinding.hasEvent(InputBinding.CONVERTCHAFF1) then
					self.currentFillType = Fillable.FILLTYPE_CHAFF
					self.convertModeGrass = false
					self.convertModeChaff = true					
		end;
		if self.currentFillType == Fillable.FILLTYPE_SILO and InputBinding.hasEvent(InputBinding.CONVERTGRASS1) then
                    self.currentFillType = Fillable.FILLTYPE_GRASS
					self.convertModeChaff = false
					self.convertModeGrass = true
		end;
		if self.currentFillType == Fillable.FILLTYPE_SILO and InputBinding.hasEvent(InputBinding.CONVERTCHAFF1) then
					self.currentFillType = Fillable.FILLTYPE_CHAFF
					self.convertModeGrass = false
					self.convertModeChaff = true					
		end;
		if self.currentFillType == Fillable.FILLTYPE_BARLEY and InputBinding.hasEvent(InputBinding.CONVERTGRASS1) then
                    self.currentFillType = Fillable.FILLTYPE_GRASS
					self.convertModeChaff = false
					self.convertModeGrass = true
		end;
		if self.currentFillType == Fillable.FILLTYPE_BARLEY and InputBinding.hasEvent(InputBinding.CONVERTCHAFF1) then
					self.currentFillType = Fillable.FILLTYPE_CHAFF
					self.convertModeGrass = false
					self.convertModeChaff = true					
		end;
		if self.currentFillType == Fillable.FILLTYPE_WHEAT then
			if self.fillLevel == self.capacity then
				if self.convertModeGrass then
                    self.currentFillType = Fillable.FILLTYPE_GRASS
				end;
			end;
		end;
		if self.currentFillType == Fillable.FILLTYPE_WHEAT then
			if self.fillLevel == self.capacity then
				if self.convertModeChaff then
                    self.currentFillType = Fillable.FILLTYPE_CHAFF
				end;
			end;
		end;
		if self.currentFillType == Fillable.FILLTYPE_SILO then
			if self.fillLevel == self.capacity then
				if self.convertModeGrass then
                    self.currentFillType = Fillable.FILLTYPE_GRASS
				end;
			end;
		end;
		if self.currentFillType == Fillable.FILLTYPE_SILO then
			if self.fillLevel == self.capacity then
				if self.convertModeChaff then
                    self.currentFillType = Fillable.FILLTYPE_CHAFF
				end;
			end;
		end;
		if self.currentFillType == Fillable.FILLTYPE_BARLEY then
			if self.fillLevel == self.capacity then
				if self.convertModeGrass then
                    self.currentFillType = Fillable.FILLTYPE_GRASS
				end;
			end;
		end;
		if self.currentFillType == Fillable.FILLTYPE_BARLEY then
			if self.fillLevel == self.capacity then
				if self.convertModeChaff then
                    self.currentFillType = Fillable.FILLTYPE_CHAFF
				end;
			end;
		end;
		if InputBinding.hasEvent(InputBinding.CONVERTOFF1) then
			self.convertModeGrass = false
			self.convertModeChaff = false
		end;
	end;
end;

function Convert:updateTick()
end;